# TdApi.OptionValueString

Package it.ernytech.tdlib

## Class TdApi.OptionValueString

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.OptionValue
    - - it.ernytech.tdlib.TdApi.OptionValueString

Enclosing class:
  TdApi

    public static class TdApi.OptionValueString
    extends TdApi.OptionValue

A string option.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `value` The value of the option.

### Constructor Summary

Constructors
`OptionValueString()` Default constructor.
`OptionValueString​(java.lang.String value)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### value

    public java.lang.String value

The value of the option.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### OptionValueString

    public OptionValueString()

Default constructor.

#### OptionValueString

    public OptionValueString​(java.lang.String value)

Constructor for initialization of all fields.

Parameters:
  `value` - The value of the option.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR